package com.goafanti.common.model;

import java.util.Date;

import org.apache.commons.lang3.time.DateFormatUtils;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonFormat.Shape;
import com.goafanti.common.constant.AFTConstants;


public class OrgCognizanceLog {
    private String id;

    private String cid;

    /**
    * 状态变更录入时间
    */
    private Date recordTime;

    /**
    * 状态
    */
    private Integer state;

    /**
    * 负责人
    */
    private String principal;

    /**
    * 操作人
    */
    private String operator;

    /**
    * 备注
    */
    private String comment;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCid() {
        return cid;
    }

    public void setCid(String cid) {
        this.cid = cid;
    }

    public Date getRecordTime() {
        return recordTime;
    }

    public void setRecordTime(Date recordTime) {
        this.recordTime = recordTime;
    }
    
    @JsonFormat(shape = Shape.STRING)
    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getPrincipal() {
        return principal;
    }

    public void setPrincipal(String principal) {
        this.principal = principal;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }
    
    public String getRecordTimeFormattedDate(){
		if (this.recordTime == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.getRecordTime(), AFTConstants.YYYYMMDDHHMMSS);
		}
	}
	
	public void setRecordTimeFormattedDate(String recordTimeFormattedDate){
		
	}
}